Skip to content

List payments

GET
/payments
curl --request GET \
--url https://api.ltesocks.io/v2/payments \
--header 'Authorization: Bearer <token>'

Returns the first page of payments for the current account.

Successful operation

Media typeapplication/json
object
data
Array<object>
object
date
string format: date-time
status
string
Allowed values: success failed
port

Port number

string
amount

Payment amount in cents

integer
balance

Balance at the time of payment

integer
description

Payment description

string
page
integer
pageSize
integer
total
integer
Example
{
"data": [
{
"date": "2022-04-03T01:13:50.182Z",
"status": "success",
"port": 10000,
"amount": -10000,
"balance": 25000,
"description": "Port 10000 subscription fee"
}
],
"page": 1,
"pageSize": 20,
"total": 7
}

The bearer token is missing, invalid, or no longer active.

Media typeapplication/json
object
error

Error text representation

string
Example
{
"error": "example error"
}

The configured request limit has been exceeded.

Media typeapplication/json
object
error

Error text representation

string
Example
{
"error": "example error"
}

Error

Media typeapplication/json
object
error

Error text representation

string
Example
{
"error": "example error"
}